! Program Example from "Essential Fortran 90 & 95" by Loren P. Meissner
! Copyright 1996. Copying for sale requires permission from the author.
! Otherwise, distribution is permitted if these three lines are included.

! Example 5.1. Constants and variables in array bound expressions.
  program F01
    use F01M
    implicit none
    integer, parameter :: Q = 20, R = 10
    integer :: I ! I is an ACID variable
    real, dimension(0: Q - 1), parameter :: Vector = (/ (I, I = 0, Q - 1) /)
    real, dimension(0: Q - 1) :: F
! start program F01
    F = A( R, Vector )
    write (unit =*, fmt = *) " The Answer Is: ", F
    stop
  end program F01
